CREATE TABLE fnd_search_options_b (
    ENTERPRISE_ID                  NUMBER(18, 0) ,
    SEARCH_OPTION_ID               NUMBER(18, 0) ,
    SEARCH_OPTION_CODE             VARCHAR2(160)     NOT NULL,
    PILLAR                         VARCHAR2(80)      NOT NULL,
    MODULE_ID                      VARCHAR2(128)     NOT NULL,
    OPTION_ENABLED_FLAG            VARCHAR2(4)       NOT NULL,
    DEFAULT_OPTION_FLAG            VARCHAR2(4)       NOT NULL,
    SEARCH_FIELD_CAT_ENA_FLAG      VARCHAR2(4)       NOT NULL,
    SEARCH_FIELD_GRPS_ENA_FLAG     VARCHAR2(4)       NOT NULL,
    SEARCH_FIELD_MAX_LEN           NUMBER(4, 0)      NOT NULL,
    SEARCH_FIELD_MIN_LEN           NUMBER(1, 0)      NOT NULL,
    SEARCH_FIELD_CLR_ON_SEARCH     VARCHAR2(40)      NOT NULL,
    SEARCH_FIELD_SF_ENA_FLAG       VARCHAR2(4)   ,
    SUGGEST_ONLY_FLAG              VARCHAR2(4)   ,
    SEARCH_CATEGORY_APP_STRIPE     VARCHAR2(80)  ,
    SEARCH_CATEGORIES              VARCHAR2(4000),
    SAVED_SEARCHES_ENA_FLAG        VARCHAR2(4)       NOT NULL,
    RECENT_SEARCHES_ENA_FLAG       VARCHAR2(4)       NOT NULL,
    APPLIED_FILTERS_ENA_FLAG       VARCHAR2(4)   ,
    FILTER_SUBCAT_ENA_FLAG         VARCHAR2(4)       NOT NULL,
    FILTER_FACETS_ENA_FLAG         VARCHAR2(4)       NOT NULL,
    FILTER_FACET_CNT_ENA_FLAG      VARCHAR2(4)       NOT NULL,
    FILTER_CLEAR_ALL_ENA_FLAG      VARCHAR2(4)       NOT NULL,
    FILTER_LOV_STYLE               VARCHAR2(40)      NOT NULL,
    LAST_UPDATE_DATE_FILTER        VARCHAR2(4000),
    RESULT_ICONS_ENA               VARCHAR2(40)      NOT NULL,
    SUGGEST_GROUPS                 VARCHAR2(4000),
    SUGGEST_TOP_SUGGESTIONS_ENA    VARCHAR2(40)      NOT NULL,
    SUGGEST_GRP_HEADINGS_ENA       VARCHAR2(40)      NOT NULL,
    SUGGEST_GRP_ICONS_ENA          VARCHAR2(40)      NOT NULL,
    SUGGEST_MIN_CHARS_FOR_SUG      NUMBER(2, 0)      NOT NULL,
    SUGGEST_MAX_SUGGESTIONS        NUMBER(3, 0)      NOT NULL,
    SUGGEST_SYN_ENA_FLAG           VARCHAR2(4)   ,
    SUGGEST_SYN_CONTEXT_CODE       VARCHAR2(120) ,
    SUGGEST_SYN_OBJECT_TYPE        VARCHAR2(120) ,
    SEARCH_FACTORY_EXPRESSION      VARCHAR2(800) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    ENTERPRISE_ID                  NUMBER(18, 0) ,
    SEARCH_OPTION_ID               NUMBER(18, 0) ,
    SEARCH_OPTION_CODE             VARCHAR2(160)     NOT NULL,
    PILLAR                         VARCHAR2(80)      NOT NULL,
    MODULE_ID                      VARCHAR2(128)     NOT NULL,
    OPTION_ENABLED_FLAG            VARCHAR2(4)       NOT NULL,
    DEFAULT_OPTION_FLAG            VARCHAR2(4)       NOT NULL,
    SEARCH_FIELD_CAT_ENA_FLAG      VARCHAR2(4)       NOT NULL,
    SEARCH_FIELD_GRPS_ENA_FLAG     VARCHAR2(4)       NOT NULL,
    SEARCH_FIELD_MAX_LEN           NUMBER(4, 0)      NOT NULL,
    SEARCH_FIELD_MIN_LEN           NUMBER(1, 0)      NOT NULL,
    SEARCH_FIELD_CLR_ON_SEARCH     VARCHAR2(40)      NOT NULL,
    SEARCH_CATEGORY_APP_STRIPE     VARCHAR2(80)  ,
    SEARCH_CATEGORIES              VARCHAR2(4000),
    SAVED_SEARCHES_ENA_FLAG        VARCHAR2(4)       NOT NULL,
    RECENT_SEARCHES_ENA_FLAG       VARCHAR2(4)       NOT NULL,
    FILTER_SUBCAT_ENA_FLAG         VARCHAR2(4)       NOT NULL,
    FILTER_FACETS_ENA_FLAG         VARCHAR2(4)       NOT NULL,
    FILTER_FACET_CNT_ENA_FLAG      VARCHAR2(4)       NOT NULL,
    FILTER_CLEAR_ALL_ENA_FLAG      VARCHAR2(4)       NOT NULL,
    FILTER_LOV_STYLE               VARCHAR2(40)      NOT NULL,
    LAST_UPDATE_DATE_FILTER        VARCHAR2(4000),
    RESULT_ICONS_ENA               VARCHAR2(40)      NOT NULL,
    SUGGEST_GROUPS                 VARCHAR2(4000),
    SUGGEST_TOP_SUGGESTIONS_ENA    VARCHAR2(40)      NOT NULL,
    SUGGEST_GRP_HEADINGS_ENA       VARCHAR2(40)      NOT NULL,
    SUGGEST_GRP_ICONS_ENA          VARCHAR2(40)      NOT NULL,
    SUGGEST_MIN_CHARS_FOR_SUG      NUMBER(2, 0)      NOT NULL,
    SUGGEST_MAX_SUGGESTIONS        NUMBER(3, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    APPLIED_FILTERS_ENA_FLAG       VARCHAR2(4)   ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    SEARCH_FIELD_SF_ENA_FLAG       VARCHAR2(4)   ,
    SUGGEST_ONLY_FLAG              VARCHAR2(4)   ,
    SUGGEST_SYN_ENA_FLAG           VARCHAR2(4)   ,
    SUGGEST_SYN_CONTEXT_CODE       VARCHAR2(120) ,
    SUGGEST_SYN_OBJECT_TYPE        VARCHAR2(120) ,
    SEARCH_FACTORY_EXPRESSION      VARCHAR2(800) ,
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fnd_search_options_b PRIMARY KEY (ENTERPRISE_ID, SEARCH_OPTION_ID, ENTERPRISE_ID, SEARCH_OPTION_ID)
);
